
Core - Task # 56991

Epic # 55070 (Accepted): Workpackages
Epic # 54542 (Accepted): WP: Importer / Exporter with relations MM/IRRE/FAL
Story # 55520 (Resolved): As an User I want to create exports in v. 6.2 and import them in v. 6.2

Status: Resolved Priority: Should have
Author: Marc Bastian Heinrichs Category: File Abstraction Layer (FAL)
Created: 2014-03-17 Assigned To: Marc Bastian Heinrichs
Updated: 2014-04-15 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Sprint Focus:
Subject: RefIndex is broken for FlexForm fields group file_reference, results in missing these files in export
Description

The ReferenceIndex needs to be fixed for FlexForm fields type group internal_type file and file_reference, just as for the normal tca
fields in
#49538 and #56353.

Related issues:
related to Core - Bug # 49538: No references displayed in filelist for "inter... Resolved 2013-07-01
related to Core - Task # 56352: Impexp: Files of TCA type "group" internal_ty... Resolved 2014-02-26
related to Core - Bug # 56353: SQL Error in sys_refindex on saving records wi... Resolved 2014-02-26
related to Core - Task # 56612: Impexp: Add tests for flexform Resolved 2014-03-06

Associated revisions
Revision b38a6a32 - 2014-03-20 21:39 - Marc Bastian Heinrichs

[BUGFIX] Fix refindex for FlexForm fields type group file_reference

According to the fixes for the normal TCA fields of type "group" 
internal_type "file_reference" in #49538 and #56353, this needs also
to be fixed for the FlexForm fields: handle the internal_type
file_reference as an db reference to sys_file.

Resolves: #56991
Releases: 6.2, 6.1, 6.0
Change-Id: Ie66c86c1bf3f0386d23259d0aee6706564beace3
Reviewed-on: https://review.typo3.org/28465
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 6139c97e - 2014-04-15 10:10 - Marc Bastian Heinrichs

[BUGFIX] Fix refindex for FlexForm fields type group file_reference

According to the fixes for the normal TCA fields of type "group" 
internal_type "file_reference" in #49538 and #56353, this needs also
to be fixed for the FlexForm fields: handle the internal_type
file_reference as an db reference to sys_file.

Resolves: #56991
Releases: 6.2, 6.1, 6.0
Change-Id: Ie66c86c1bf3f0386d23259d0aee6706564beace3
Reviewed-on: https://review.typo3.org/28797
Reviewed-by: Marc Bastian Heinrichs
Tested-by: Marc Bastian Heinrichs

Revision 9d1c8804 - 2014-04-15 10:11 - Marc Bastian Heinrichs

[BUGFIX] Fix refindex for FlexForm fields type group file_reference

According to the fixes for the normal TCA fields of type "group" 
internal_type "file_reference" in #49538 and #56353, this needs also
to be fixed for the FlexForm fields: handle the internal_type
file_reference as an db reference to sys_file.

Resolves: #56991
Releases: 6.2, 6.1, 6.0
Change-Id: Ie66c86c1bf3f0386d23259d0aee6706564beace3
Reviewed-on: https://review.typo3.org/28798
Reviewed-by: Marc Bastian Heinrichs
Tested-by: Marc Bastian Heinrichs

History
#1 - 2014-03-17 13:56 - Marc Bastian Heinrichs
- Subject changed from RefIndex is broken for FlexForm fields group file and file_reference, results in missing these files in export to RefIndex is 
broken for FlexForm fields group file_reference, results in missing these files in export

#2 - 2014-03-17 13:58 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28465

#3 - 2014-03-17 14:33 - Marc Bastian Heinrichs
- % Done changed from 0 to 90

#4 - 2014-03-17 21:52 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28465

#5 - 2014-03-17 22:30 - Ernesto Baschny
- TYPO3 Version changed from 6.2 to 6.0
#6 - 2014-03-20 22:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:b38a6a3239e7f083b687ae292f362e64c1992aca.

#7 - 2014-03-25 19:49 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28797

#8 - 2014-03-25 19:51 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28798

#9 - 2014-04-15 10:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved

Applied in changeset commit:9d1c88040c05cb9345d77486f71e437d5ac18c2f.
